Bug 1310298 - Application menu foreground uses panel settings, background follows widget style
Application menu foreground uses panel settings, background follows widget style
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxqt-panel (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Helio Chissini de Castro
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 01:11 EST by Pavel Roskin
Modified: 2016-12-20 13:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:52:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (40.69 KB, image/png)
2016-02-20 01:11 EST, Pavel Roskin
no flags Details

  None (edit)
Description Pavel Roskin 2016-02-20 01:11:15 EST
Created attachment 1128720 [details]
screenshot

Description of problem:

The application menu of LXQt takes foreground and background colors for the active item from different settings, which can easily lead to unreadable text. The user may not even realize where the colors come from, as the menu has no color settings.

Version-Release number of selected component (if applicable):

lxqt-panel-0.10.0-4.fc23.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Right click on the panel
2. Select "Configure panel"
3. Set foreground to black and background to light gray.
4. From the menu, open Preferences->Appearance.
5. Set Widget Style to Windows
6. Activate the main menu once again

Actual results:

The active entry text is black on dark blue, so it's hard to read. See the screenshot.

Expected results:

The active entry should be readable.

Additional info:

I believe the menu should follow the widget style. The panel settings only have two colors, foreground and background. It's not enough to describe a menu, which has active and inactive entries.

For the GTK widget style, the menu even uses the gradient from the style settings. With all that careful styling, using the primitive panel settings for the active entry foreground appears to be a bug.
Comment 1 Fedora End Of Life 2016-11-24 10:39:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:52:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.